"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleAllOf = handleAllOf;
const typing_1 = require("../typing");
function handleAllOf(schema, comment, options) {
    let type = undefined;
    const typeDeclarations = [];
    let dependencies = [];
    for (const subschema of schema.allOf) {
        if (!type)
            type = subschema.type;
        if (type != subschema.type)
            throw 'Error: cannot merge types for allOf';
        const td = (0, typing_1.generateTyping)(subschema, options);
        typeDeclarations.push(td.typeDeclaration);
        dependencies = dependencies.concat(td.typeDependencies);
    }
    return {
        typeDeclaration: typeDeclarations.join(' & '),
        typeDependencies: dependencies,
        comment: comment,
    };
}
//# sourceMappingURL=allOf.js.map