"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleAnyOf = handleAnyOf;
const typing_1 = require("../typing");
function handleAnyOf(schema, comment, options) {
    const typeDeclarations = [];
    let dependencies = [];
    for (const subschema of schema.anyOf ?? []) {
        const td = (0, typing_1.generateTyping)(subschema, options);
        typeDeclarations.push(td.typeDeclaration);
        dependencies = dependencies.concat(td.typeDependencies);
    }
    return {
        typeDeclaration: typeDeclarations.join(' | '),
        typeDependencies: dependencies,
        comment: comment,
    };
}
//# sourceMappingURL=anyOf.js.map